Page MenuHomePhabricator

Enable Flow for testing on Hungarian Wikipedia
Closed, DeclinedPublic

Description

The hu.wikipedia community decided to enable Flow for testing (discussion; permalink). Please

  • give administrators the flow-create-board right
  • if that's problematic, enable Flow just for Wikipédia:Flow/teszt (a test page)

Event Timeline

Tgr created this task.Nov 23 2015, 8:44 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 23 2015, 8:44 AM
Restricted Application added subscribers: StudiesWorld, Matanya, Aklapper. · View Herald Transcript
Tgr changed the task status from Open to Stalled.Nov 23 2015, 8:44 AM

Blocked on translation; especially on figuring out how to usurp the namespace name which is currently used by LiquidThreads.

Change 254814 had a related patch set uploaded (by Gergő Tisza):
Hungarian localization for special messages

https://gerrit.wikimedia.org/r/254814

We had the same issue for Portuguese Wikibooks. We would prefer not to usurp it, as that breaks all links (the LQT->Flow migration process does not break links); we did not usurp on Portuguese Wikibooks.

Please try to find a suitable Hungarian word (other than the one that conflicts with LQT) that conveys the concept of topic, thread, subject, etc.

Tgr added a comment.Nov 24 2015, 7:54 AM

Breaking all links would be entirely fine. LQT was only ever enabled for testing. Per the pagelinks table there 25 links to Thread namespace (and 2 to Thread talk, whatever that is); they can be easily fixed by hand. I wold rather not choose an awkward localization just because of that.

Mattflaschen-WMF renamed this task from Enable Flow for testing on Hungarian Wikipedia; convert LQT to Enable Flow for testing on Hungarian Wikipedia.Nov 24 2015, 10:26 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.

Change 255672 had a related patch set uploaded (by Gergő Tisza):
Update Hungarian namespace names

https://gerrit.wikimedia.org/r/255672

Tgr added a comment.Nov 27 2015, 10:10 AM

Thanks for organizing this @Mattflaschen!

So, given that LQT was only used for testing and there are only a handful of links, would this be a reasonable approach?

  1. make a list of links pointing into the Thread/Thread_talk namespace
  2. merge https://gerrit.wikimedia.org/r/#/c/255672/, wait until it's deployed
  3. fix all links in the list to point to Topic instead
  4. merge https://gerrit.wikimedia.org/r/#/c/254814/, wait until it's deployed
  5. enable Flow, run the migration script

Thanks for organizing this @Mattflaschen!
So, given that LQT was only used for testing and there are only a handful of links, would this be a reasonable approach?

I don't completely follow. You can use the Hungarian namespace names. I'll just cross-check them against your patches.

  1. make a list of links pointing into the Thread/Thread_talk namespace
  2. merge https://gerrit.wikimedia.org/r/#/c/255672/, wait until it's deployed
  3. fix all links in the list to point to Topic instead

The existing links should be changed to point to either Szál/Szálvita (as appropriate) or Thread/Thread talk (canonical namespaces always work), right?

  1. merge https://gerrit.wikimedia.org/r/#/c/254814/, wait until it's deployed
  2. enable Flow, run the migration script

I think that should work, although it would also affect any third-party Hungarian wikis using LQT (hopefully not that many?), but they can still override it back.

Tgr added a comment.Nov 27 2015, 8:21 PM
In T119365#1835415, @Mattflaschen wrote:

The existing links should be changed to point to either Szál/Szálvita (as appropriate) or Thread/Thread talk (canonical namespaces always work), right?

Yes, my mistake. (Thread is less hassle I guess, none of the links are on a useful page anyway.)

I think that should work, although it would also affect any third-party Hungarian wikis using LQT (hopefully not that many?), but they can still override it back.

I doubt there are any. There is no good way to make sure but at least WikiApiary knows of none.

Tgr added a comment.Nov 28 2015, 9:36 AM
mysql:wikiadmin@db1062 [huwiki]> select pl_namespace, pl_from_namespace, page_title from pagelinks join page on pl_from = page_id where pl_namespace in (90, 91, 92, 93) order by pl_namespace, pl_from_namespace, pl_title;
+--------------+-------------------+------------------------------------------------------------+
| pl_namespace | pl_from_namespace | page_title                                                 |
+--------------+-------------------+------------------------------------------------------------+
|           90 |                 0 | KoЯn                                                       |
|           90 |                 0 | Korn                                                       |
|           90 |                 2 | Trafter/A_világ_legvénebb_fái                              |
|           90 |                 2 | Trafter/próbalap                                           |
|           90 |                 2 | Duma-Nagy_Éva/próbalap                                     |
|           90 |                 2 | Induktív_érvelés                                           |
|           90 |                 2 | WBetti/próbalap                                            |
|           90 |                 2 | Niir123/próbalap                                           |
|           90 |                 2 | Mdcducy/SuperStereo_feat._Dé                               |
|           90 |                 2 | Bennó/Archívum_51                                          |
|           90 |                 2 | Bennó/Archívum_50                                          |
|           90 |                 2 | Pasztilla/Vitalaparchívum_11                               |
|           90 |                 2 | Pasztilla/Vitalaparchívum_11                               |
|           90 |                 2 | Bennó/Archívum_53                                          |
|           90 |                 2 | Bennó/Archívum_55                                          |
|           90 |                 2 | Samat/Interwikivel_rendelkező_lapok                        |
|           90 |                 2 | Tamaslaci/próbalap                                         |
|           90 |                 4 | Adminisztrátorok_üzenőfala/Archív_94                       |
|           90 |                 4 | Kocsmafal_(műszaki)/Archív88                               |
|           90 |                 4 | Adminisztrátorok_üzenőfala/Archív_84                       |
|           90 |                 4 | Járőrök_üzenőfala/Archív_9                                 |
|           90 |                 4 | Adminisztrátorok_üzenőfala/Archív_96                       |
|           90 |                 4 | Kocsmafal_(műszaki)/Archív89                               |
|           90 |                90 | Hölgykő_vára                                               |
|           90 |                90 | Szerkesztővita:FoBe/Teszt_(3)                              |
|           90 |                90 | Szerkesztővita:FoBe/Teszt_(2)                              |
|           90 |                90 | Szerkesztővita:FoBe/Archív2/Teszt                          |
|           91 |                 4 | Adminisztrátorok_üzenőfala/Archív_94                       |
|           91 |                 4 | Adminisztrátorok_üzenőfala/Archív_96                       |
|           92 |                 4 | Szerzőijog-sértés/2013.12.31.                              |
|           92 |                90 | Wikipédia:Tudakozó/teszt/Lapvédelem_tesztelése/válasz      |
+--------------+-------------------+------------------------------------------------------------+
31 rows in set (0.00 sec)

Luke081515 triaged this task as Normal priority.Dec 9 2015, 8:43 AM

Is there a planned schedule for the namespace migration?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 1 2016, 3:04 PM
Tgr added a comment.EditedFeb 29 2016, 5:17 AM

Apologies for the delay. I changed the links to use canonical name, so there should be no links anyore that could broken by the translation change.

I found a bunch of broken LQT pages in non-LQT namespaces (someone tried to move them, mayve): https://hu.wikipedia.org/wiki/Szerkeszt%C5%91:Tgr/LQT_anomalies

As far as I am aware, the two patches are good to go.

Change 255672 merged by jenkins-bot:
Update Hungarian namespace names

https://gerrit.wikimedia.org/r/255672

Change 254814 merged by jenkins-bot:
Hungarian localization for special messages

https://gerrit.wikimedia.org/r/254814

Samat added a subscriber: Samat.May 4 2016, 2:46 PM
Tgr moved this task from Backlog to Huwiki on the User-Tgr board.

Note: I finished the translation (98%).

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 20 2018, 8:47 AM
Tgr changed the task status from Stalled to Open.Dec 23 2018, 11:36 PM
Tgr updated the task description. (Show Details)

Removed the mention of the WP:FLOW talk page. With Flow's future uncertain as it is, probably better to limit it strictly to test pages.

The task should be ready now.

Tgr changed the task status from Open to Stalled.Dec 23 2018, 11:41 PM

Hm, ext-flow-0-all is only 84% translated.
Plus the help page also needs to be translated, I forgot about that.

Tgr added a comment.Dec 23 2018, 11:43 PM

Hm, ext-flow-0-all is only 84% translated.

Although most of that seems to be the API. Seems like there are only a dozen or so non-API messages.

It is up to you(r community) to decide of not having extensions is acceptable or not.

Tgr added a comment.Jan 4 2019, 7:11 PM

@Trizek-WMF I was going by mw:Structured Discussions/Request Structured Discussions on a page#2. Technical details to consider which says translating the documentation and non-API messages is a prerequisite. If that is not the case, given that we just want to test it for now, I would be happy to proceed as we are.

Good point you're raising up. It should be more flexible: the community can decide not to have the interface messages and documentation translated. Some communities have already preferred not to work on that since they have a fallback language (French for Wallon wikis for instance). I'm editing the page to reflect that.

Tgr added a comment.Jan 7 2019, 10:45 AM

Cool! In that case, can we ask for the extension to be turned on the testpage (and the LQT content migrated, presumably, although for now we wouldn't care much if it isn't, or if it can be migrated to wikitext, that's even better)? It's only for trying out, so the docs can be translated later if it seems useful.

Tgr changed the task status from Stalled to Open.Jan 7 2019, 10:45 AM
Trizek-WMF added a comment.EditedJan 7 2019, 11:52 AM

I can create a blank test page anytime. I just need to have a clear "go" from the community to do so. It can be a new page (Wikipédia:Flow/teszt), or a conversion if an old one.

It is possible to transfer LQT contents to Structured Discussions. It would require a bit of time though.

We could use my talk page as a test.

Tgr added a comment.Feb 7 2019, 8:50 PM

@Trizek-WMF The community discussion is linked from the task description. The extension must be deployed first, though. I can do that if the maintainers have no concern about it.

As the description says, assigning flow page management to huwiki sysops would be preferable, so we don't need to poke people for every change, but failing that Wikipédia:Flow/teszt should be the testpage, yeah. Converting pages in actual use is better left to a second stage, I think.

If it's OK to not transfer LQT, we'd prefer that. Depending on the outcome of the upcoming consultation we might end up with a different system so better not to complicate things. I just had the vague impression that LQT and Flow are not supposed to be both enabled on the same wiki.

Thank you for the clarification, @Tgr.

If it's OK to not transfer LQT, we'd prefer that. Depending on the outcome of the upcoming consultation we might end up with a different system so better not to complicate things. I just had the vague impression that LQT and Flow are not supposed to be both enabled on the same wiki.

The conversion from LQT to SD is not a default operation. It requires time, so it is not included in the test.

Change 497243 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable Flow for testing on huwiki

https://gerrit.wikimedia.org/r/497243

Sorry for the last minute interruption! Danny has requested that we freeze any further Flow deployments pending the outcome of the Talk page consultation process.

kaldari changed the task status from Open to Stalled.Apr 4 2019, 10:32 PM
Tgr added a comment.Apr 4 2019, 10:53 PM

@kaldari this would be a test deployment (throwaway demo wiki pages only) with the explicit goal of supporting the consultation (giving people a chance of seeing what they are being consulted about).

Alsee added a subscriber: Alsee.EditedApr 8 2019, 1:59 AM

@Tgr your goal is good, however during the Uninstall-Flow-from-Commons incident (T186463), the Foundation determined that creating even a single Flow topic on a wiki leaves the wiki in a state where Flow can no longer be easily or safely uninstalled. The Flow extension is dangerously defective or incomplete, lacking procedures to safely clean up the logs or other content left behind if even one post is created (T188806). Due to this issue the software has been uninstalled from all wikis do not have any existing Flow content (T188812).

Danny's freeze on new deployments makes sense. The Foundation is explicitly evaluating whether to proceed with the Flow strategy, whether to begin a new project from scratch with better community input on the design, or whether to develop improvements on top of the existing Talk page system. From what I have seen, it appears consultation-staff have pretty much decided in favor of building a new system while the community has pretty much decided in favor of improving existing Talk pages. It appears that any future for Flow has pretty much been squeezed out of the debate.

Secondly, the linked consensus was very split and it's three and a half years old. That's far too stale to act on it today. If anyone still wants Flow on HuWiki they should open a fresh discussion to consider all of the developments over the last several years. In particular it should note:

  • There have been improvements to the functionality and stability of Flow over the years.
  • That Flow has been rejected by several major communities (English, Meta, Commons), and that the Foundation is considering changing strategy. The Foundation is considering starting a new project from scratch or improving Talk pages instead.
  • That creating even one Flow test pages is not easily reversible. Once a Flow page is created, the Foundation may be unwilling or unable to remove Flow.

Setting $wgFlowReadOnly would be used to disable Flow instead of uninstalling it on wikis where Flow is not wanted to be used anymore, which offers the same visible outcome to an end user. This is also documented in https://meta.wikimedia.org/wiki/Limits_to_configuration_changes under "Uninstall Flow from Commons".
Indeed https://www.mediawiki.org/wiki/Talk_pages_consultation_2019 takes place currently. At this stage, statements what "the community has pretty much decided" etc seem to be personal speculation and interpretation.

Alsee added a comment.Apr 9 2019, 7:38 AM

@Aklapper Thanks for confirming what I said. If the HuWiki discussion is revived it may be helpful. Extra thanks for reminding me about the link to configuration changes. That link should definitely be included if there are ever any more discussions activate Flow anywhere. Some people might find it hard to believe the Foundation would be so unwilling or unable to roll back deployment of the software if a trial-deployment ends badly.

Regarding my comment:

From what I have seen, it appears consultation-staff have pretty much decided in favor of building a new system

Yes, that is my interpretation of current appearances. There is limited visibility of Foundation plans, opinions, and activities... so it's definitely possible they are looking in a different direction.

Regarding my comment:

From what I have seen, it appears... the community has pretty much decided in favor of improving existing Talk pages

I perhaps made an error in phrasing that as if it were also interpretive or speculative. It is now functionally impossible for the global community to end up at a consensus for any other option. The EnWiki discussion concluded with virtually unanimous results for keeping&improving existing Talk pages, and EnWiki constitutes virtually half of our total wikiverse by almost any metric. It's theoretically possible there could be near-unanimous outpouring for another option, which would effectively be a global-no-consensus split. However even that is bordering on implausible. Past RFCs at Meta and Commons strongly indicate that many editors at other major wikis reach largely the same conclusions that EnWiki editors reach on this topic, for similar reasons.

Tgr moved this task from Huwiki to Stalled on the User-Tgr board.May 20 2019, 11:55 AM
JTannerWMF moved this task from Needs Discussion/Analysis to Blocked on the Growth-Team board.EditedMay 28 2019, 5:46 PM
JTannerWMF added a subscriber: JTannerWMF.

We are moving this until we get further instruction from @DannyH after the Talk Page Consultation.

Trizek-WMF closed this task as Declined.Jul 11 2019, 3:50 PM

Due to the upcoming improvements on talk pages (see Talk pages consultation 2019), no more deployment of Structured Discussions will be performed. We are also not removing Structured Discussions from any wikis. No new features are planned for Structured Discussions at this time. Maintenance will continue for the foreseeable future.